[WARNING] Found icon of unknown type 'unknown' in 'system/flatpak/flatpak/cc.nift.nsm/*', skipping it

Greetings lovely community,

Toady I saw this warning after I did an update with yay:

** (appstreamcli:3180): WARNING **: 19:00:32.980: Found icon of unknown type 'unknown' in 'system/flatpak/flatpak/cc.nift.nsm/*', skipping it.

** (appstreamcli:3180): WARNING **: 19:00:32.980: Found icon of unknown type 'unknown' in 'system/flatpak/flatpak/cc.nift.nsm/*', skipping it.

I don’t think I’ve ever recalled seeing a warning like this show up before, so I thought I’d see what you all thought. It’s not an error, it’s just a warning, but better to be as informed as I can with anything while using any Arch type system. I do have the flatpakpackage installed (I believe it comes installed by default with any EndeavourOS online installation), but I do not use flatpaks at this time and don’t currently have any flatpaks installed.

It seems like a warning that can be safely ignored, but I’d rather caution on any seasoned users advice. I am wondering if maybe it’s best to wait a day or two for a fix (if any), or if maybe I need to look into reporting the bug to Flatpak upstream. Nevermind, it looks like it’s already been reported upstream earlier this year which affects apt and pacman users, so my guess is any distribution with flatpak support may see the issue. Here’s a link to the bug report on GitHub:

https://github.com/flatpak/flatpak/issues/4642

Please feel free to let me know your thoughts if there’s anything else worth noting or providing, otherwise I suppose consider this maybe like a bit of a mini PSA, but it’s just a warning so should be no harm! As always thank you for reading my post. I’ll leave the full update log below just in case:

[scott@endeavourOS ~]$ yay
[sudo] password for scott: 
:: Synchronizing package databases...
 core                  157.3 KiB   213 KiB/s 00:01 [-----------------------] 100%
 extra                1724.4 KiB   438 KiB/s 00:04 [-----------------------] 100%
 community               6.6 MiB  1349 KiB/s 00:05 [-----------------------] 100%
 multilib              175.4 KiB   237 KiB/s 00:01 [-----------------------] 100%
 endeavouros            31.7 KiB  58.6 KiB/s 00:01 [-----------------------] 100%
:: Searching databases for updates...
:: Searching AUR for updates...
:: Checking development packages...
 -> Flagged Out Of Date AUR Packages:  gdm-prime  libgdm-prime  minecraft-launcher
:: 48 Packages to upgrade.
48  core/icu                     70.1-1               -> 71.1-1
47  core/libxml2                 2.9.13-1             -> 2.9.13-2
46  core/xfsprogs                5.15.0-1             -> 5.15.0-2
45  extra/appstream              0.15.2-1             -> 0.15.3-1
44  extra/blas                   3.10.0-1             -> 3.10.1-1
43  extra/boost-libs             1.78.0-1             -> 1.78.0-2
42  extra/brltty                 6.4-9                -> 6.4-10
41  extra/cblas                  3.10.0-1             -> 3.10.1-1
40  extra/edk2-ovmf              202202-1             -> 202202-2
39  extra/enchant                2.3.2-1              -> 2.3.2-2
38  extra/evolution-data-server  3.44.0-1             -> 3.44.0-2
37  extra/harfbuzz               4.2.0-1              -> 4.2.0-3
36  extra/harfbuzz-icu           4.2.0-1              -> 4.2.0-3
35  extra/kwayland               5.93.0-1             -> 5.93.0-2
34  extra/lapack                 3.10.0-1             -> 3.10.1-1
33  extra/libcdr                 0.1.7-3              -> 0.1.7-4
32  extra/libe-book              0.1.3-10             -> 0.1.3-11
31  extra/libical                3.0.14-2             -> 3.0.14-3
30  extra/libmspub               0.1.4-11             -> 0.1.4-12
29  extra/libphonenumber         1:8.12.46-1          -> 1:8.12.46-2
28  extra/libqxp                 0.0.2-7              -> 0.0.2-8
27  extra/libreoffice-fresh      7.3.2-1              -> 7.3.2-2
26  extra/libsynctex             2021.59745-2         -> 2021.59745-3
25  extra/libvisio               0.1.7-6              -> 0.1.7-7
24  extra/libzmf                 0.0.2-11             -> 0.0.2-12
23  extra/openexr                3.1.4-1              -> 3.1.5-1
22  extra/qt5-base               5.15.3+kde+r137-1    -> 5.15.3+kde+r137-2
21  extra/qt5-wayland            5.15.3+kde+r41-1     -> 5.15.3+kde+r44-1
20  extra/qt6-5compat            6.3.0-1              -> 6.3.0-2
19  extra/qt6-base               6.3.0-1              -> 6.3.0-2
18  extra/raptor                 2.0.15-18            -> 2.0.15-19
17  extra/smbclient              4.16.0-4             -> 4.16.0-5
16  extra/tracker                2.3.6+7+gb27396252-3 -> 2.3.6+7+gb27396252-4
15  extra/tracker-miners         2.3.5+2+gec09554af-4 -> 2.3.5+2+gec09554af-5
14  extra/tracker3               3.3.0-1              -> 3.3.0-2
13  extra/tracker3-miners        3.3.0-1              -> 3.3.0-2
12  extra/vte-common             0.68.0-1             -> 0.68.0-2
11  extra/vte3                   0.68.0-1             -> 0.68.0-2
10  extra/webkit2gtk             2.36.0-2             -> 2.36.0-3
 9  extra/webkit2gtk-4.1         2.36.0-2             -> 2.36.0-3
 8  community/darktable          2:3.8.1-2            -> 2:3.8.1-3
 7  community/electron           18.0.3-1             -> 18.0.3-2
 6  community/electron11         11.5.0-4             -> 11.5.0-5
 5  community/electron14         14.2.9-1             -> 14.2.9-2
 4  community/electron16         16.2.2-1             -> 16.2.2-2
 3  community/freerdp            2:2.6.1-1            -> 2:2.6.1-2
 2  community/nodejs             17.9.0-1             -> 17.9.0-2
 1  community/tepl               6.00.0-4             -> 6.00.0-5
==> Packages to exclude: (eg: "1 2 3", "1-3", "^4" or repo name)
==> 
:: Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...

warning: insufficient columns available for table display
Packages (48) appstream-0.15.3-1  blas-3.10.1-1  boost-libs-1.78.0-2
              brltty-6.4-10  cblas-3.10.1-1  darktable-2:3.8.1-3
              edk2-ovmf-202202-2  electron-18.0.3-2  electron11-11.5.0-5
              electron14-14.2.9-2  electron16-16.2.2-2  enchant-2.3.2-2
              evolution-data-server-3.44.0-2  freerdp-2:2.6.1-2
              harfbuzz-4.2.0-3  harfbuzz-icu-4.2.0-3  icu-71.1-1
              kwayland-5.93.0-2  lapack-3.10.1-1  libcdr-0.1.7-4
              libe-book-0.1.3-11  libical-3.0.14-3  libmspub-0.1.4-12
              libphonenumber-1:8.12.46-2  libqxp-0.0.2-8
              libreoffice-fresh-7.3.2-2  libsynctex-2021.59745-3
              libvisio-0.1.7-7  libxml2-2.9.13-2  libzmf-0.0.2-12
              nodejs-17.9.0-2  openexr-3.1.5-1  qt5-base-5.15.3+kde+r137-2
              qt5-wayland-5.15.3+kde+r44-1  qt6-5compat-6.3.0-2
              qt6-base-6.3.0-2  raptor-2.0.15-19  smbclient-4.16.0-5
              tepl-6.00.0-5  tracker-2.3.6+7+gb27396252-4
              tracker-miners-2.3.5+2+gec09554af-5  tracker3-3.3.0-2
              tracker3-miners-3.3.0-2  vte-common-0.68.0-2  vte3-0.68.0-2
              webkit2gtk-2.36.0-3  webkit2gtk-4.1-2.36.0-3  xfsprogs-5.15.0-2

Total Download Size:    488.82 MiB
Total Installed Size:  1734.50 MiB
Net Upgrade Size:         0.18 MiB

:: Proceed with installation? [Y/n] 
:: Retrieving packages...
 qt5-base-5.15.3+...    12.9 MiB   224 KiB/s 00:59 [-----------------------] 100%
 qt6-base-6.3.0-2...    12.6 MiB   199 KiB/s 01:05 [-----------------------] 100%
 icu-71.1-1-x86_64      10.8 MiB   152 KiB/s 01:13 [-----------------------] 100%
 edk2-ovmf-202202...     6.4 MiB   261 KiB/s 00:25 [-----------------------] 100%
 smbclient-4.16.0...     6.7 MiB   216 KiB/s 00:32 [-----------------------] 100%
 nodejs-17.9.0-2-...     9.4 MiB   207 KiB/s 00:46 [-----------------------] 100%
 evolution-data-s...     4.5 MiB   300 KiB/s 00:15 [-----------------------] 100%
 webkit2gtk-2.36....    21.4 MiB   184 KiB/s 01:59 [-----------------------] 100%
 lapack-3.10.1-1-...     2.4 MiB   348 KiB/s 00:07 [-----------------------] 100%
 kwayland-5.93.0-...     3.0 MiB   169 KiB/s 00:18 [-----------------------] 100%
 darktable-2:3.8....     5.9 MiB   221 KiB/s 00:27 [-----------------------] 100%
 appstream-0.15.3...     2.2 MiB   256 KiB/s 00:09 [-----------------------] 100%
 libphonenumber-1...     2.1 MiB   310 KiB/s 00:07 [-----------------------] 100%
 webkit2gtk-4.1-2...    21.6 MiB   172 KiB/s 02:09 [-----------------------] 100%
 brltty-6.4-10-x86_64 1732.8 KiB   487 KiB/s 00:04 [-----------------------] 100%
 qt5-wayland-5.15...  1109.4 KiB   593 KiB/s 00:02 [-----------------------] 100%
 openexr-3.1.5-1-...  1171.8 KiB   215 KiB/s 00:05 [-----------------------] 100%
 xfsprogs-5.15.0-...  1009.7 KiB   474 KiB/s 00:02 [-----------------------] 100%
 libxml2-2.9.13-2...  1362.0 KiB   201 KiB/s 00:07 [-----------------------] 100%
 freerdp-2:2.6.1-...  1563.4 KiB   190 KiB/s 00:08 [-----------------------] 100%
 boost-libs-1.78....     2.1 MiB   179 KiB/s 00:12 [-----------------------] 100%
 libcdr-0.1.7-4-x...   958.3 KiB   514 KiB/s 00:02 [-----------------------] 100%
 libe-book-0.1.3-...   701.6 KiB   478 KiB/s 00:01 [-----------------------] 100%
 harfbuzz-4.2.0-3...   974.0 KiB   186 KiB/s 00:05 [-----------------------] 100%
 tracker3-miners-...   711.3 KiB   166 KiB/s 00:04 [-----------------------] 100%
 tracker-2.3.6+7+...   925.4 KiB   159 KiB/s 00:06 [-----------------------] 100%
 libvisio-0.1.7-7...   633.4 KiB   218 KiB/s 00:03 [-----------------------] 100%
 tracker3-3.3.0-2...   733.7 KiB   147 KiB/s 00:05 [-----------------------] 100%
 libmspub-0.1.4-1...   462.5 KiB   409 KiB/s 00:01 [-----------------------] 100%
 tracker-miners-2...   505.4 KiB   413 KiB/s 00:01 [-----------------------] 100%
 libical-3.0.14-3...   618.3 KiB   262 KiB/s 00:02 [-----------------------] 100%
 raptor-2.0.15-19...   454.6 KiB   227 KiB/s 00:02 [-----------------------] 100%
 vte3-0.68.0-2-x86_64  358.8 KiB   373 KiB/s 00:01 [-----------------------] 100%
 qt6-5compat-6.3....   336.8 KiB   355 KiB/s 00:01 [-----------------------] 100%
 enchant-2.3.2-2-...    53.3 KiB   276 KiB/s 00:00 [-----------------------] 100%
 libqxp-0.0.2-8-x...   288.4 KiB   260 KiB/s 00:01 [-----------------------] 100%
 blas-3.10.1-1-x86_64  125.8 KiB   330 KiB/s 00:00 [-----------------------] 100%
 cblas-3.10.1-1-x...    35.9 KiB   335 KiB/s 00:00 [-----------------------] 100%
 libsynctex-2021....    51.8 KiB   305 KiB/s 00:00 [-----------------------] 100%
 harfbuzz-icu-4.2...     7.6 KiB  44.2 KiB/s 00:00 [-----------------------] 100%
 libzmf-0.0.2-12-...   171.0 KiB   257 KiB/s 00:01 [-----------------------] 100%
 tepl-6.00.0-5-x86_64  214.0 KiB   278 KiB/s 00:01 [-----------------------] 100%
 vte-common-0.68....     7.0 KiB   117 KiB/s 00:00 [-----------------------] 100%
 electron-18.0.3-...    55.4 MiB   363 KiB/s 02:36 [-----------------------] 100%
 electron14-14.2....    52.0 MiB   310 KiB/s 02:52 [-----------------------] 100%
 electron16-16.2....    54.4 MiB   321 KiB/s 02:54 [-----------------------] 100%
 electron11-11.5....    47.8 MiB   267 KiB/s 03:03 [-----------------------] 100%
 libreoffice-fres...   138.2 MiB   618 KiB/s 03:49 [-----------------------] 100%
 Total (48/48)         488.8 MiB  2.13 MiB/s 03:49 [-----------------------] 100%
(48/48) checking keys in keyring                   [-----------------------] 100%
(48/48) checking package integrity                 [-----------------------] 100%
(48/48) loading package files                      [-----------------------] 100%
(48/48) checking for file conflicts                [-----------------------] 100%
(48/48) checking available disk space              [-----------------------] 100%
:: Processing package changes...
( 1/48) upgrading icu                              [-----------------------] 100%
( 2/48) upgrading libxml2                          [-----------------------] 100%
( 3/48) upgrading xfsprogs                         [-----------------------] 100%
( 4/48) upgrading harfbuzz                         [-----------------------] 100%
( 5/48) upgrading appstream                        [-----------------------] 100%
( 6/48) upgrading blas                             [-----------------------] 100%
( 7/48) upgrading boost-libs                       [-----------------------] 100%
( 8/48) upgrading brltty                           [-----------------------] 100%
Please add your user to the brlapi group.
( 9/48) upgrading cblas                            [-----------------------] 100%
(10/48) upgrading edk2-ovmf                        [-----------------------] 100%
(11/48) upgrading enchant                          [-----------------------] 100%
(12/48) upgrading libical                          [-----------------------] 100%
(13/48) upgrading libphonenumber                   [-----------------------] 100%
(14/48) upgrading harfbuzz-icu                     [-----------------------] 100%
(15/48) upgrading tracker3                         [-----------------------] 100%
(16/48) upgrading webkit2gtk                       [-----------------------] 100%
(17/48) upgrading evolution-data-server            [-----------------------] 100%
(18/48) upgrading qt5-base                         [-----------------------] 100%
(19/48) upgrading qt5-wayland                      [-----------------------] 100%
(20/48) upgrading kwayland                         [-----------------------] 100%
(21/48) upgrading lapack                           [-----------------------] 100%
(22/48) upgrading libcdr                           [-----------------------] 100%
(23/48) upgrading libe-book                        [-----------------------] 100%
(24/48) upgrading libmspub                         [-----------------------] 100%
(25/48) upgrading libqxp                           [-----------------------] 100%
(26/48) upgrading libvisio                         [-----------------------] 100%
(27/48) upgrading libzmf                           [-----------------------] 100%
(28/48) upgrading raptor                           [-----------------------] 100%
(29/48) upgrading libreoffice-fresh                [-----------------------] 100%
(30/48) upgrading libsynctex                       [-----------------------] 100%
(31/48) upgrading openexr                          [-----------------------] 100%
(32/48) upgrading qt6-base                         [-----------------------] 100%
(33/48) upgrading qt6-5compat                      [-----------------------] 100%
(34/48) upgrading smbclient                        [-----------------------] 100%
(35/48) upgrading tracker                          [-----------------------] 100%
(36/48) upgrading tracker-miners                   [-----------------------] 100%
(37/48) upgrading tracker3-miners                  [-----------------------] 100%
(38/48) upgrading vte-common                       [-----------------------] 100%
(39/48) upgrading vte3                             [-----------------------] 100%
(40/48) upgrading webkit2gtk-4.1                   [-----------------------] 100%
(41/48) upgrading darktable                        [-----------------------] 100%
(42/48) upgrading electron                         [-----------------------] 100%
(43/48) upgrading electron11                       [-----------------------] 100%
(44/48) upgrading electron14                       [-----------------------] 100%
(45/48) upgrading electron16                       [-----------------------] 100%
(46/48) upgrading freerdp                          [-----------------------] 100%
(47/48) upgrading nodejs                           [-----------------------] 100%
(48/48) upgrading tepl                             [-----------------------] 100%
:: Running post-transaction hooks...
( 1/11) Creating system user accounts...
( 2/11) Reloading system manager configuration...
( 3/11) Creating temporary files...
( 4/11) Reloading device manager configuration...
( 5/11) Arming ConditionNeedsUpdate...
( 6/11) Updating the MIME type database...
( 7/11) Updating the appstream cache...

** (appstreamcli:3180): WARNING **: 19:00:32.980: Found icon of unknown type 'unknown' in 'system/flatpak/flatpak/cc.nift.nsm/*', skipping it.

** (appstreamcli:3180): WARNING **: 19:00:32.980: Found icon of unknown type 'unknown' in 'system/flatpak/flatpak/cc.nift.nsm/*', skipping it.
✔ Metadata cache was updated successfully.
( 8/11) Compiling GSettings XML schema files...
( 9/11) Updating icon theme caches...
(10/11) Checking which packages need to be rebuilt
(11/11) Updating the desktop file MIME type cache...
[scott@endeavourOS ~]$ 
1 Like

Essentially,

is an

so

is

4 Likes